MCP::Server::Transport(3pm)

NAME
MCP:Transport - Transport base class

SYNOPSIS
  package MyMCPTransport;
  use Mojo::Base 'MCP::Server::Transport';

  1;

DESCRIPTION
MCP::Server::Transport is a base class for MCP (Model Context Protocol) transport implementations.

ATTRIBUTES
MCP::Server::Transport implements the following attributes.

  server
  my $server = $transport->server;
  $transport = $transport->server(MCP::Server->new);

The server instance that this transport is associated with.

METHODS
MCP::Server::Transport implements the following methods.

  notifications
  my $bool = $transport->notifications;

True when the transport can push server-to-client notifications outside an in-flight response.

SEE ALSO
Mojolicious, <https://mojolicious.org>, <https://modelcontextprotocol.io>.